package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.service.ConflictDisputeResolveService;
import com.hncy.datatrans.server.pzhdata.utils.CommonResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author Ivan
 * @Description 矛盾纠纷化解controller
 * @Date 2020/8/25 11:21
 */
@RestController
@RequestMapping("/conflict")
@CrossOrigin
public class ConflictDisputeResolveController {

    @Autowired
    ConflictDisputeResolveService conflictDisputeResolveService;

    /**
     * @Author Ivan
     * @Description 导入excel中的矛盾纠纷数据到数据库中
     * @Date 2020/8/25 11:23
     * @Param
     * @return
     */
    @PostMapping("addConflict")
    @ApiOperation(value = "导入excel中的矛盾纠纷数据到数据库中")
    public CommonResult addConflict(MultipartFile file) {
        //上传过来excel文件
        conflictDisputeResolveService.addConflict(file, conflictDisputeResolveService);
        return CommonResult.success();
    }
}
