package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.entity.OrgNonPublic;
import com.hncy.datatrans.server.pzhdata.service.EnterpriseBaseInfoService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author Ivan
 * @Description 企业基本信息controller
 * @Date 2020/7/27 15:59
 */
@RestController
@RequestMapping("/middleBaseData")
public class EnterpriseBaseInfoController {

    @Autowired
    EnterpriseBaseInfoService enterpriseBaseInfoService;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的企业信息
     * @Date 2020/7/27 16:01
     * @Param
     * @return
     */
    @ApiOperation(value = "根据本地最新更新时间拉取中间库的企业信息", response = OrgNonPublic.class)
    @RequestMapping(value = "/getNewEnterpriseInfoByLatestDate", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public List<OrgNonPublic> getNewEnterpriseInfoByLatestDate(@RequestParam(value = "dateStr",required = false) String dateStr){
        //根据之前的最新日期查询中转数据库中所有企业基本信息
        List<OrgNonPublic> enterpriseInfos = enterpriseBaseInfoService.getNewEnterpriseInfoByLatestDate(dateStr);
        return enterpriseInfos;
    }

    @ApiOperation(value = "修改批准日期", response = OrgNonPublic.class)
    @RequestMapping(value = "/updateApproveDate", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public void updateApproveDate(){
        //修改批准日期
        enterpriseBaseInfoService.updateApproveDate();
    }
}
