package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.entity.HomeStay;
import com.hncy.datatrans.server.pzhdata.service.HomeStayService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author Ivan
 * @Description 养老机构及公寓controller
 * @Date 2020/8/18 19:31
 */
@RestController
@RequestMapping("/middleBaseData")
public class HomeStayController {

    @Autowired
    HomeStayService homeStayService;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的养老机构及公寓信息
     * @Date 2020/8/18 19:40
     * @Param
     * @return
     */
    @ApiOperation(value = "根据本地最新更新时间拉取中间库的养老机构及公寓信息", response = HomeStay.class)
    @RequestMapping(value = "/getNewHomeStayInfoByLatestDate", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public List<HomeStay> getNewHomeStayInfoByLatestDate(@RequestParam(value = "dateStr",required = false) String dateStr){
        //根据本地最新更新时间拉取中间库的养老机构及公寓信息
        List<HomeStay> newHomeStayInfoByLatestDate = homeStayService.getNewHomeStayInfoByLatestDate(dateStr);
        return newHomeStayInfoByLatestDate;
    }

}
