package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.entity.OrgShorg;
import com.hncy.datatrans.server.pzhdata.service.OrgShorgService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author Ivan
 * @Description controller
 * @Date 2020/8/19 15:46
 */
@RestController
@RequestMapping("/middleBaseData")
public class OrgShorgController {

    @Autowired
    OrgShorgService orgShorgService;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的社会组织信息
     * @Date 2020/8/19 15:48
     * @Param
     * @return
     */
    @ApiOperation(value = "根据本地最新更新时间拉取中间库的社会组织信息", response = OrgShorg.class)
    @RequestMapping(value = "/getNewOrgShorgByLatestDate", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public List<OrgShorg> getNewOrgShorgByLatestDate(@RequestParam(value = "dateStr",required = false) String dateStr){
        //根据本地最新更新时间拉取中间库的社会组织信息
        List<OrgShorg> newOrgShorgByLatestDate = orgShorgService.getNewOrgShorgByLatestDate(dateStr);
        return newOrgShorgByLatestDate;
    }
}
