package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.entity.PublicSecurityLogistics;
import com.hncy.datatrans.server.pzhdata.service.PublicSecurityLogisticsService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author Ivan
 * @Description 邮政的寄递物流信息controller
 * @Date 2020/8/19 11:13
 */
@RestController
@RequestMapping("/middleBaseData")
public class PublicSecurityLogisticsController {

    @Autowired
    PublicSecurityLogisticsService publicSecurityLogisticsService;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的邮政的寄递物流信息信息
     * @Date 2020/8/19 11:17
     * @Param
     * @return
     */
    @ApiOperation(value = "根据本地最新更新时间拉取中间库的邮政的寄递物流信息信息", response = PublicSecurityLogistics.class)
    @RequestMapping(value = "/getNewPublicSecurityLogisticsByLatestDate", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public List<PublicSecurityLogistics> getNewPublicSecurityLogisticsByLatestDate(@RequestParam(value = "dateStr",required = false) String dateStr){
        //根据本地最新更新时间拉取中间库的养老机构及公寓信息
        List<PublicSecurityLogistics> publicSecurityLogistics = publicSecurityLogisticsService.getNewPublicSecurityLogisticsByLatestDate(dateStr);
        if (publicSecurityLogistics!=null&&publicSecurityLogistics.size()>0){
            //转换监控数量（string->int）
            for (PublicSecurityLogistics psl : publicSecurityLogistics){
                try {
                    psl.setNumberOfSc(Integer.parseInt(psl.getNumberOfScStr()));
                } catch (Exception e){
                    e.printStackTrace();
                }
            }
        }
        return publicSecurityLogistics;
    }
}
