package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.service.SchoolService;
import com.hncy.datatrans.server.pzhdata.utils.CommonResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author Ivan
 * @Description 学校controller
 * @Date 2020/9/18 11:48
 */
@RestController
@RequestMapping("/school")
@CrossOrigin
public class SchoolController {

    @Autowired
    SchoolService schoolService;

    /**
     * @Author Ivan
     * @Description 导入excel中的学校数据到数据库中
     * @Date 2020/8/25 11:23
     * @Param
     * @return
     */
    @PostMapping("addSchool")
    @ApiOperation(value = "导入excel中的学校数据到数据库中")
    public CommonResult addConflict(MultipartFile file) {
        //上传过来excel文件
        schoolService.addSchool(file, schoolService);
        return CommonResult.success();
    }
}
