package com.hncy.datatrans.server.pzhdata.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.util.Date;

/**
 * @Author Ivan
 * @Description 辖区实体类
 * @Date 2020/9/18 11:39
 * @Param
 * @return
 */
@Data
public class Area {

    @Id
    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "父类id")
    private String parentId;

    @ApiModelProperty(value = "父类id")
    private String parentName;

    @ApiModelProperty(value = "辖区编号")
    private String areaCode;

    @ApiModelProperty(value = "辖区名称")
    private String areaName;

    @ApiModelProperty(value = "辖区概况")
    private String areaNote;

    @ApiModelProperty(value = "辖区类型")
    private int areaType;

    @ApiModelProperty(value = "排序")
    private int sort;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;

    /**
     * 创建者 存放id
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新者 存放id
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "编号层级")
    private String areaCodePath;
}
