package com.hncy.datatrans.server.pzhdata.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author Ivan
 * @Description 学校信息对应的实体类
 * @Date 2020/3/30 18:03
 */
@Table(name = "basic_school_info")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BasicSchoolInfo {
    //主键id
    @Id//根据主键删除时需要使用
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private String id;

    //学校名称
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    //学校地址
    @ApiModelProperty(value = "学校地址")
    private String schoolAddress;

    //辖区
    @ApiModelProperty(value = "辖区")
    private String area;

    //学校类型代码
    @ApiModelProperty(value = "学校类型代码")
    private String schoolTypeCode;

    //学校类型名称
    @ApiModelProperty(value = "学校类型名称")
    private String schoolTypeName;

    //所属主管教育行政部门代码
    @ApiModelProperty(value = "所属主管教育行政部门代码")
    private String eduDepartmentCode;

    //所属主管教育行政部门名称
    @ApiModelProperty(value = "所属主管教育行政部门名称")
    private String eduDepartmentName;

    //在校学生人数
    @ApiModelProperty(value = "在校学生人数")
    private Integer studentNumber;

    //校长姓名
    @ApiModelProperty(value = "校长姓名")
    private String principalName;

    //校长联系方式
    @ApiModelProperty(value = "校长联系方式")
    private String principalPhone;

    //分管安全保卫责任人姓名
    @ApiModelProperty(value = "分管安全保卫责任人姓名")
    private String securityGuardBossName;

    //分管安全保卫责任人联系方式
    @ApiModelProperty(value = "分管安全保卫责任人联系方式")
    private String securityGuardBossPhone;

    //安全保卫责任人姓名
    @ApiModelProperty(value = "安全保卫责任人姓名")
    private String securityGuardName;

    //安全保卫责任人联系方式
    @ApiModelProperty(value = "安全保卫责任人联系方式")
    private String securityGuardPhone;

    //治安责任人姓名
    @ApiModelProperty(value = "治安责任人姓名")
    private String publicSecurityName;

    //治安责任人联系方式
    @ApiModelProperty(value = "治安责任人联系方式")
    private String publicSecurityPhone;

    //安全保卫人数
    @ApiModelProperty(value = "安全保卫人数")
    private Integer guardNumber;

    //位置经度
    @ApiModelProperty(value = "位置经度")
    private String longitude;

    //位置纬度
    @ApiModelProperty(value = "位置纬度")
    private String latitude;

    //网格的标志
    @ApiModelProperty(value = "网格的标志,也叫网格id")
    private String gridId;//也叫网格id

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}