package com.hncy.datatrans.server.pzhdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author Ivan
 * @Description 矛盾纠纷化实体类
 * @Date 2020/6/3 12:02
 * @Param
 * @return
 */
@Table(name = "conflict_dispute_resolve")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ConflictDisputeResolve {
    //主键id
    @Id//根据主键删除时需要使用
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id^_^")
    private String id;

    @ApiModelProperty(value = "档案编号")
    private String fileNo;

    @ApiModelProperty(value = "事件名称")
    private String eventName;

    @ApiModelProperty(value = "发生日期（YYYYMMDD）^_^")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date happenDate;

    @ApiModelProperty(value = "所属网格id")
    private String areaId;

    @ApiModelProperty(value = "所属网格name")
    private String areaName;

    @ApiModelProperty(value = "发生地点^_^")
    private String happenAddress;

    @ApiModelProperty(value = "事件规模代码")
    private String eventScaleCode;

    @ApiModelProperty(value = "事件规模")
    private String eventScale;

    @ApiModelProperty(value = "事件类别代码")
    private String eventTypeCode;

    @ApiModelProperty(value = "事件类别^_^")
    private String eventType;

    @ApiModelProperty(value = "涉及人数^_^")
    private Integer involvePersonNumber;

    @ApiModelProperty(value = "事件简述^_^")
    private String eventDescription;

    @ApiModelProperty(value = "涉及单位")
    private String involveUnit;

    @ApiModelProperty(value = "主要当事人证件代码")
    private String mainPersonCertificateCode;

    @ApiModelProperty(value = "主要当事人证件号码")
    private String mainPersonCertificateNumber;

    @ApiModelProperty(value = "主要当事人姓名")
    private String mainPersonName;

    @ApiModelProperty(value = "主要当事人性别代码")
    private String mainPersonGenderCode;

    @ApiModelProperty(value = "主要当事人性别")
    private String mainPersonGender;

    @ApiModelProperty(value = "主要当事人民族代码")
    private String mainPersonNationCode;

    @ApiModelProperty(value = "主要当事人民族")
    private String mainPersonNation;

    @ApiModelProperty(value = "主要当事人学历代码")
    private String mainPersonEducationCode;

    @ApiModelProperty(value = "主要当事人学历")
    private String mainPersonEducation;

    @ApiModelProperty(value = "主要当事人人员类别代码")
    private String mainPersonTypeCode;

    @ApiModelProperty(value = "主要当事人人员类别")
    private String mainPersonType;

    @ApiModelProperty(value = "主要当事人居住详址")
    private String mainPersonHouseDetail;

    @ApiModelProperty(value = "化解时限")
    private Integer resolveLimit;

    @ApiModelProperty(value = "化解方式代码")
    private String resolveTypeCode;

    @ApiModelProperty(value = "化解方式")
    private String resolveType;

    @ApiModelProperty(value = "化解组织^_^")
    private String resolveOrganization;

    @ApiModelProperty(value = "化解责任人姓名^_^")
    private String resolvePersonName;

    @ApiModelProperty(value = "化解责任人联系方式")
    private String resolvePersonPhone;

    @ApiModelProperty(value = "化解是否成功（1成功 0失败）^_^")
    private Integer isResolveSuccess;

    @ApiModelProperty(value = "化解情况^_^")
    private String resolveDescription;

    @ApiModelProperty(value = "考评日期（YYYYMMDD）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date assessmentDate;

    @ApiModelProperty(value = "考评意见")
    private String assessmentOpinion;

    @ApiModelProperty(value = "经度")
    private Double longitude;

    @ApiModelProperty(value = "纬度")
    private Double latitude;

    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

}
