package com.hncy.datatrans.server.pzhdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author Ivan
 * @Description 企业基本信息
 * @Date 2020/7/27 15:57
 * @Param
 * @return
 */
@Table(name = "scjdglj_e_baseinfo")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EnterpriseBaseInfo {
    //主键id
    @Id//根据主键删除时需要使用
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private String pripid;

    @ApiModelProperty(value = "核准日期")
    private String apprdate;

    @ApiModelProperty(value = "国别(地区)")
    private String country;

    @ApiModelProperty(value = "住所")
    private String dom;

    @ApiModelProperty(value = "住所所在行政区划")
    private String domdistrict;

    @ApiModelProperty(value = "从业人员/农专成员总数")
    private String empnum;

    @ApiModelProperty(value = "企业（机构）名称")
    private String entname;

    @ApiModelProperty(value = "市场主体类型")
    private String enttype;

    @ApiModelProperty(value = "市场主体类型（中文名称）")
    private String enttypeCn;

    @ApiModelProperty(value = "成立日期")
    private String estdate;

    @ApiModelProperty(value = "")
    private String etpsId;

    @ApiModelProperty(value = "行业代码")
    private String industryco;

    @ApiModelProperty(value = "行业门类")
    private String industryphy;

    @ApiModelProperty(value = "法定代表人")
    private String name;

    @ApiModelProperty(value = "经营(驻在)期限自")
    private String opfrom;

    @ApiModelProperty(value = "经营范围")
    private String opscope;

    @ApiModelProperty(value = "业务范围类型")
    private String opscotype;

    @ApiModelProperty(value = "业务范围类型（中文名称）")
    private String opscotypeCn;

    @ApiModelProperty(value = "经营(驻在)期限至")
    private String opto;

    @ApiModelProperty(value = "实收资本")
    private String reccap;

    @ApiModelProperty(value = "实收资本折万美元")
    private String reccapusd;

    @ApiModelProperty(value = "注册资本(金)")
    private String regcap;

    @ApiModelProperty(value = "注册资本(金)币种")
    private String regcapcur;

    @ApiModelProperty(value = "注册资本(金)币种（中文名称）")
    private String regcapcurCn;

    @ApiModelProperty(value = "注册资本(金)折万美元")
    private String regcapusd;

    @ApiModelProperty(value = "注册号")
    private String regno;

    @ApiModelProperty(value = "登记机关")
    private String regorg;

    @ApiModelProperty(value = "登记机关（中文名称）")
    private String regorgCn;

    @ApiModelProperty(value = "登记状态")
    private String regstate;

    @ApiModelProperty(value = "登记状态（中文名称）")
    private String regstateCn;

    @ApiModelProperty(value = "统计企业类型")
    private String reporttype;

    @ApiModelProperty(value = "标记列")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sExtDatatime;

    @ApiModelProperty(value = "数据更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sExtTimestamp;

    @ApiModelProperty(value = "是否城镇")
    private String town;

    @ApiModelProperty(value = "统一社会信用代码")
    private String uniscid;

    //自定义构造方法
    public EnterpriseBaseInfo(String pripid,String apprdate){
        this.pripid = pripid;
        this.apprdate = apprdate;
    }

}