package com.hncy.datatrans.server.pzhdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Transient;
import java.util.Date;

/**
 * @Author Ivan
 * @Description base库中的养老机构及公寓
 * @Date 2020/7/28 10:51
 */
@Data
public class HomeStay {

    @Id
    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "辖区Id")
    private String areaId;

    @ApiModelProperty(value = "辖区名称")
    @Transient
    private String areaName;

    @ApiModelProperty(value = "网格id")
    private String gridId;

    @ApiModelProperty(value = "网格名称")
    @Transient
    private String gridName;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "小区编号")
    private String communityCode;

    @ApiModelProperty(value = "小区名称")
    private String communityName;

    @ApiModelProperty(value = "建筑编号")
    private String buildingCode;

    @ApiModelProperty(value = "楼栋名称")
    private String buildingName;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "性质编号")
    private String natureCode;

    @ApiModelProperty(value = "性质名称")
    private String natureName;

    @ApiModelProperty(value = "建筑用途编号")
    private String buildingUseCode;

    @ApiModelProperty(value = "建筑用途名称")
    private String buildingUseName;

    @ApiModelProperty(value = "房主")
    private String houseOwner;

    @ApiModelProperty(value = "隐患编号")
    private String dangerCode;

    @ApiModelProperty(value = "隐患名称")
    private String dangerName;

    @ApiModelProperty(value = "户数")
    private Integer houseNum;

    @ApiModelProperty(value = "负责人")
    private String header;

    @ApiModelProperty(value = "负责人电话")
    private String headerPhone;

    @ApiModelProperty(value = "负责人身份证号")
    private String headerCard;

    @ApiModelProperty(value = "是否一客一人一消（0.是 1.否）")
    private Integer isExchange;

    @ApiModelProperty(value = "是否身份证号登记（0.是 1.否）")
    private Integer isCard;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

//    @ApiModelProperty(value = "保存附件列表")
//    @Transient
//    private List<FileVo> fileVos;

//    @ApiModelProperty(value = "查询附件列表")
//    @Transient
//    private List<HomeStayAttach> attaches;

    private String type;

    private String typeName;

}
