package com.hncy.datatrans.server.pzhdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Ivan
 * @Description base库中的非公经济组织信息
 * @Date 2020/7/28 10:51
 */
@Data
public class OrgNonPublic {

    @ApiModelProperty(value = "非公有制经济组织表标识")
    private String id;

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;

    @ApiModelProperty(value = "企业名称")
    private String orgName;

    @ApiModelProperty(value = "企业地址")
    private String address;

    @ApiModelProperty(value = "企业员工数")
    private Integer personCount;

    @ApiModelProperty(value = "法定代表人姓名")
    private String frName;

    @ApiModelProperty(value = "批准日期")
    @JsonFormat(pattern = "yyy-MM-dd")
    private Date pzDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "法定代表人证件代码")
    private String fzrCardType;

    @ApiModelProperty(value = "法定代表人证件号码")
    private String fzrCardNo;

    @ApiModelProperty(value = "法定代表人姓名")
    private String fzrName;

    @ApiModelProperty(value = "法定代表人联系方式")
    private String fzrTel;

    @ApiModelProperty(value = "办公地址")
    private String officeAddress;

    @ApiModelProperty(value = "治保负责人姓名")
    private String zbfzrName;

    @ApiModelProperty(value = "治保负责人联系方式")
    private String zbfzrTel;

    @ApiModelProperty(value = "是否危化企业")
    private Integer isWh;

    @ApiModelProperty(value = "安全隐患类型")
    private String aqyhType;

    @ApiModelProperty(value = "关注程度")
    private String gzcd;

    @ApiModelProperty(value = "是否具备建立中共党组织条件")
    private Integer isJbjlZgdzz;

    @ApiModelProperty(value = "是否有中共党组织")
    private Integer isZgdzz;

    @ApiModelProperty(value = "中共党员数量")
    private Integer zgdyCount;

    @ApiModelProperty(value = "是否有工会")
    private Integer isGh;

    @ApiModelProperty(value = "工会会员数量")
    private Integer ghhyCount;

    @ApiModelProperty(value = "是否有共青团组织")
    private Integer isGqtzz;

    @ApiModelProperty(value = "共青团团员数量")
    private Integer gqttyCount;

    @ApiModelProperty(value = "是否有妇联组织")
    private Integer isFlzz;

    @ApiModelProperty(value = "妇女数量")
    private Integer fvCount;

    @ApiModelProperty(value = "资金来源")
    private String zjSource;

    @ApiModelProperty(value = "是否有境外背景")
    private Integer isJwbj;

    @ApiModelProperty(value = "经度")
    private String xpoints;

    @ApiModelProperty(value = "纬度")
    private String ypoints;

    @ApiModelProperty(value = "删除状态 1:删除  0:未删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyy-MM-dd")
    private Date createDate;

    @ApiModelProperty(value = "修改时间")
//    @DateTimeFormat(pattern = "yyy-MM-dd")
    @JsonFormat(pattern = "yyy-MM-dd")
    private Date updateDate;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "修改者")
    private String updateBy;

    @ApiModelProperty(value = "主要职责")
    private String respon;

    @ApiModelProperty(value = "简介")
    private String description;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "所在辖区")
    private String areaId;

    @ApiModelProperty(value = "辖区名称")
    private String areaName;

    @ApiModelProperty(value = "楼栋代码")
    private String buildCode;

    @ApiModelProperty(value = "单元代码")
    private String unitCode;

    @ApiModelProperty(value = "房间代码")
    private String roomCode;

    @ApiModelProperty(value = "企业类型")
    private String orgType;
}
