package com.hncy.datatrans.server.pzhdata.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Transient;
import java.util.Date;


/**
 * @Author Ivan
 * @Description base库中的邮政的寄递物流信息
 * @Date 2020/7/28 10:51
 */
@Data
public class PublicSecurityLogistics {
    @ApiModelProperty(value = "寄递物流安全管理")
    @Id
    private String id;
    @ApiModelProperty(value = "工商执照注册号（统一社会信用 代码）")
    private String licenseRegistrationNo;
    @ApiModelProperty(value = "寄递物流企业名称")
    private String logisticsName;
    @ApiModelProperty(value = "所在地编码")
    private String areaId;
    @ApiModelProperty(value = "所在地名称")
    private String areaName;
    @ApiModelProperty(value = "企业详细地址")
    private String addressOfEnterprise;
    @ApiModelProperty(value = "企业联系方式")
    private String telOfEnterprise;
    @ApiModelProperty(value = "负责人姓名")
    private String responsiblePerson;
    @ApiModelProperty(value = "负责人联系方式")
    private String responsiblePersonTel;
    @ApiModelProperty(value = "登记注册类型编码")
    private String registrationTypeCode;
    @ApiModelProperty(value = "登记注册类型名称")
    private String registrationTypeName;
    @ApiModelProperty(value = "控股情况编码")
    private String holdingCode;
    @ApiModelProperty(value = "控股情况名称")
    private String holdingName;
    @ApiModelProperty(value = "经营范围编码")
    private String businessScopeCode;
    @ApiModelProperty(value = "经营范围名称")
    private String businessScopeName;
    @ApiModelProperty(value = "企业类型编码")
    private String businessOfTypeCode;
    @ApiModelProperty(value = "企业类型名称")
    private String businessOfTypeName;
    @ApiModelProperty(value = "服务品牌")
    private String serviceBrand;
    @ApiModelProperty(value = "从业人员数量")
    private Integer numberOfEmployees;
    @ApiModelProperty(value = "监控摄像机数量")
    private String numberOfScStr;
	@ApiModelProperty(value = "监控摄像机数量")
    private Integer numberOfSc;
    @ApiModelProperty(value = "X光机数量")
    private Integer numberOfX;
    @ApiModelProperty(value = "先验视后封箱")
    private Integer isPrior;
    @ApiModelProperty(value = "寄递实名制")
    private Integer isRealName;
    @ApiModelProperty(value = "是否落实X光安检")
    private Integer isSecurityCheck;
    @ApiModelProperty(value = "经纬度所在位置（用于区域判断）")
    private String point;
    @ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    @ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;
    @ApiModelProperty(value = "创建者")
    private String createBy;
    @ApiModelProperty(value = "修改者")
    private String updateBy;

    @ApiModelProperty(value = "经度")
    @Transient
    private String lng;
    @ApiModelProperty(value = "纬度")
    @Transient
    private String lat;
}
