package com.hncy.datatrans.server.pzhdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author Ivan
 * @Description 护路护线实体类
 * @Date 2020/5/19 11:47
 * @Param
 * @return
 */
@Table(name = "road_line")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RoadLine {
    //主键id
    @Id//根据主键删除时需要使用
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "线路类型")
    private String lineType;

    @ApiModelProperty(value = "线路类型代码")
    private String lineTypeCode;

    @ApiModelProperty(value = "隶属单位名称")
    private String subordinateUnitName;

    @ApiModelProperty(value = "隶属单位详址")
    private String subordinateUnitAddress;

    @ApiModelProperty(value = "隶属单位联系方式")
    private String subordinateUnitPhone;

    @ApiModelProperty(value = "隶属单位负责人姓名")
    private String subordinateUnitChargePersonName;

    @ApiModelProperty(value = "隶属单位负责人联系方式")
    private String subordinateUnitChargePersonPhone;

    @ApiModelProperty(value = "管辖单位名称")
    private String jurisdictionUnitName;

    @ApiModelProperty(value = "管辖单位详址")
    private String jurisdictionUnitAddress;

    @ApiModelProperty(value = "管辖单位联系方式")
    private String jurisdictionUnitPhone;

    @ApiModelProperty(value = "分管治保负责人姓名")
    private String chargePersonName;

    @ApiModelProperty(value = "分管治保负责人联系方式")
    private String chargePersonPhone;

    @ApiModelProperty(value = "治安隐患情况")
    private String dangerSecuritySituation;

    @ApiModelProperty(value = "治安隐患等级")
    private String dangerSecurityLevel;

    @ApiModelProperty(value = "治安隐患等级代码")
    private String dangerSecurityLevelCode;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

}
