package com.hncy.datatrans.server.pzhdata.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Ivan
 * @Description 矛盾纠纷化解excel数据列
 * @String 2020/8/25 10:57
 */
@Data
public class ConflictExcelData {

    @ApiModelProperty(value = "档案编号")
    @ExcelProperty(index = 0)
    private String fileNo;

    @ApiModelProperty(value = "纠纷发生地")
    @ExcelProperty(index = 1)
    private String happenAddress;

    @ApiModelProperty(value = "排查受理单位")
    @ExcelProperty(index = 2)
    private String involveUnit;

    @ApiModelProperty(value = "排查受理人员")
    @ExcelProperty(index = 3)
    private String acceptPerson;

    @ApiModelProperty(value = "排查受理时间")
    @ExcelProperty(index = 4)
    private String acceptDate;

    @ApiModelProperty(value = "纠纷涉及人数")
    @ExcelProperty(index = 5)
    private String involvePersonNumber;

    @ApiModelProperty(value = "纠纷影响程度")
    @ExcelProperty(index = 6)
    private String influenceDegree;

    @ApiModelProperty(value = "纠纷类别")
    @ExcelProperty(index = 7)
    private String eventType;

    @ApiModelProperty(value = "纠纷来源")
    @ExcelProperty(index = 8)
    private String conflictResource;

    @ApiModelProperty(value = "纠纷简述")
    @ExcelProperty(index = 9)
    private String eventDescription;

    @ApiModelProperty(value = "工作措施")
    @ExcelProperty(index = 10)
    private String resolveDescription;

    @ApiModelProperty(value = "纠纷发生时间")
    @ExcelProperty(index = 11)
    private String happenDate;

    @ApiModelProperty(value = "调解组织")
    @ExcelProperty(index = 12)
    private String resolveOrganization;

    @ApiModelProperty(value = "主办调解员")
    @ExcelProperty(index = 13)
    private String resolvePersonName;

    @ApiModelProperty(value = "协办调解员")
    @ExcelProperty(index = 14)
    private String coResolvePerson;

    @ApiModelProperty(value = "责任领导")
    @ExcelProperty(index = 15)
    private String responsibleLeader;

    @ApiModelProperty(value = "调解开始时间")
    @ExcelProperty(index = 16)
    private String resolveBeginTime;

    @ApiModelProperty(value = "调解成功时间")
    @ExcelProperty(index = 17)
    private String resolveSuccessTime;

    @ApiModelProperty(value = "调解结果")
    @ExcelProperty(index = 18)
    private String isResolveSuccess;

    @ApiModelProperty(value = "申请人")
    @ExcelProperty(index = 19)
    private String mainPersonName;

    @ApiModelProperty(value = "被申请人")
    @ExcelProperty(index = 20)
    private String appliedPerson;

    @ApiModelProperty(value = "申请单位")
    @ExcelProperty(index = 21)
    private String applyUnit;

    @ApiModelProperty(value = "被申请单位")
    @ExcelProperty(index = 22)
    private String appliedUnit;
}
