package com.hncy.datatrans.server.pzhdata.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.hncy.datatrans.server.pzhdata.entity.RoadLine;
import com.hncy.datatrans.server.pzhdata.mapper.RoadLineMapper;
import org.springframework.beans.BeanUtils;

import java.util.UUID;


/**
 * @author Ivan
 * @Title: RoadLineExcelListener
 * @date 2020/8/2814:45
 */
public class RoadLineExcelListener extends AnalysisEventListener<RoadLineData> {

    public RoadLineMapper roadLineMapper;
    //无参构造
    public RoadLineExcelListener(){}
    //有参
    public RoadLineExcelListener(RoadLineMapper roadLineMapper){
        this.roadLineMapper = roadLineMapper;
    }
    @Override
    public void invoke(RoadLineData roadLineData, AnalysisContext analysisContext) {
        try {
            if(roadLineData == null) {
                throw new Exception("数据为空...");
            }
//            System.out.println(roadLineData);
            RoadLine roadLine = new RoadLine();
            BeanUtils.copyProperties(roadLineData,roadLine);
            //主键id
            roadLine.setId(UUID.randomUUID().toString().replace("-",""));
            //线路类型代码
            roadLine.setLineTypeCode("01");
            //线路类型名称
            roadLine.setLineType("铁路");
            //线路名称
            roadLine.setLineName(roadLineData.getCity()+roadLineData.getSubordinateUnitName());
            //管辖单位名称
            roadLine.setJurisdictionUnitName(roadLineData.getSubordinateUnitName());

            roadLineMapper.insertSelective(roadLine);

        } catch (Exception e){
            e.printStackTrace();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
