package com.hncy.datatrans.server.pzhdata.mapper;

import com.hncy.datatrans.server.pzhdata.entity.EnterpriseBaseInfo;
import com.hncy.datatrans.server.pzhdata.entity.OrgNonPublic;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @Author Ivan
 * @Description 企业基本信息mapper
 * @Date 2020/7/27 16:03
 * @Param 
 * @return 
 */
public interface EnterpriseBaseInfoMapper extends Mapper<EnterpriseBaseInfo> {
    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的企业信息
     * @Date 2020/7/27 16:01
     * @Param 
     * @return 
     */
    List<OrgNonPublic> getNewEnterpriseInfoByLatestDate(@Param("dateStr") String dateStr);

    //批量更新日期
    int updateApproveDate(List<EnterpriseBaseInfo> enterpriseBaseInfos);

    //单条更新
    @Update("update scjdglj_e_baseinfo set APPRDATE = #{date} where PRIPID = #{pripid}")
    int updateApproveDateSingle(@Param("pripid") String pripid, @Param("date") String date);
}