package com.hncy.datatrans.server.pzhdata.service.impl;

import com.alibaba.excel.EasyExcel;
import com.hncy.datatrans.server.pzhdata.excel.ConflictExcelData;
import com.hncy.datatrans.server.pzhdata.excel.ConflictExcelListener;
import com.hncy.datatrans.server.pzhdata.mapper.ConflictDisputeResolveMapper;
import com.hncy.datatrans.server.pzhdata.service.ConflictDisputeResolveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;

/**
 * @Author Ivan
 * @Description 矛盾纠纷化解service实现类
 * @Date 2020/8/25 11:15
 */
@Service
public class ConflictDisputeResolveServiceImpl implements ConflictDisputeResolveService {

    @Autowired
    ConflictDisputeResolveMapper conflictMapper;

    @Override
    public void addConflict(MultipartFile file, ConflictDisputeResolveService conflictDisputeResolveService) {

        try {
            //文件输入流
            InputStream in = file.getInputStream();
            //调用方法进行读取
            EasyExcel.read(in, ConflictExcelData.class, new ConflictExcelListener(conflictMapper)).sheet().doRead();
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}
