package com.hncy.datatrans.server.pzhdata.service.impl;

import com.hncy.datatrans.server.pzhdata.entity.EnterpriseBaseInfo;
import com.hncy.datatrans.server.pzhdata.entity.OrgNonPublic;
import com.hncy.datatrans.server.pzhdata.mapper.EnterpriseBaseInfoMapper;
import com.hncy.datatrans.server.pzhdata.service.EnterpriseBaseInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author Ivan
 * @Description 企业基本信息service实现类
 * @Date 2020/7/27 15:58
 */
@Service
public class EnterpriseBaseInfoServiceImpl implements EnterpriseBaseInfoService {

    @Autowired
    EnterpriseBaseInfoMapper enterpriseBaseInfoMapper;
    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的企业信息
     * @Date 2020/7/27 16:01
     * @Param
     * @return
     */
    @Override
    public List<OrgNonPublic> getNewEnterpriseInfoByLatestDate(String dateStr) {
        return enterpriseBaseInfoMapper.getNewEnterpriseInfoByLatestDate(dateStr);
    }

    /**
     * 修改批准日期
     */
    @Override
    public void updateApproveDate() {
        List<EnterpriseBaseInfo> enterprises = enterpriseBaseInfoMapper.selectAll();
        int count = 1000;
        List<EnterpriseBaseInfo> enterpriseBaseInfos = new ArrayList<>();
        if (enterprises!=null&&enterprises.size()>0){
            String date = null;
            for (EnterpriseBaseInfo en : enterprises){
                String apprdate = en.getApprdate();
                if (apprdate!=null){
                    if (apprdate.contains("月")){
                        apprdate = apprdate.replace("月","");
                    }
                    if (apprdate.contains(" ")){
                        apprdate = apprdate.replace(" ","");
                    }
                    String[] split = apprdate.split("-");
                    String year = "";
                    String month = "";
                    String day = split[0];
                    //月
                    if (split[1].length()==1){
                        month = "0"+split[1];
                    } else {
                        month = split[1];
                    }
                    //年
                    if (split[2].startsWith("0")||split[2].startsWith("1")){
                        year = "20"+split[2];
                    } else {
                        year = "19"+split[2];
                    }

                    date = year +"-" + month +"-"+ day;
                    //单条更新
                    enterpriseBaseInfoMapper.updateApproveDateSingle(en.getPripid(),date);
//                    if (enterpriseBaseInfos.size()<count) {
//                        EnterpriseBaseInfo info = new EnterpriseBaseInfo(en.getPripid(), date);
//                        enterpriseBaseInfos.add(info);
//                    } else {
//                        //批量更新日期
//                        enterpriseBaseInfoMapper.updateApproveDate(enterpriseBaseInfos);
//                        enterpriseBaseInfos.clear();
//                    }
                }
            }
            //批量更新日期(更新剩余部分)
//            enterpriseBaseInfoMapper.updateApproveDate(enterpriseBaseInfos);
        }
    }
}
