package com.hncy.datatrans.server.pzhdata.service.impl;

import com.hncy.datatrans.server.pzhdata.entity.OrgShorg;
import com.hncy.datatrans.server.pzhdata.mapper.OrgShorgMapper;
import com.hncy.datatrans.server.pzhdata.service.OrgShorgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author Ivan
 * @Description 社会组织信息service实现类
 * @Date 2020/8/19 15:46
 */
@Service
public class OrgShorgServiceImpl implements OrgShorgService {

    @Autowired
    OrgShorgMapper orgShorgMapper;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的社会组织信息
     * @Date 2020/8/19 15:50
     * @Param 
     * @return 
     */
    @Override
    public List<OrgShorg> getNewOrgShorgByLatestDate(String dateStr) {
        List<OrgShorg> orgShorgs = new ArrayList<>();
        //根据本地最新更新时间拉取中间库的民办非企业单位信息	mzj_pzhsmbfqydwxx
        List<OrgShorg> org1 = orgShorgMapper.getNewNonEnterpriseByLatestDate(dateStr);
        //根据本地最新更新时间拉取中间库的市民政局_社会团体信息2001年至2018年 mzj_pzhsshttxx
        List<OrgShorg> org2 = orgShorgMapper.getNewSocialGroupsByLatestDate(dateStr);

        orgShorgs.addAll(org1);
        orgShorgs.addAll(org2);
        return orgShorgs;
    }
}
