package com.hncy.datatrans.server.pzhdata.service.impl;

import com.alibaba.excel.EasyExcel;
import com.hncy.datatrans.server.pzhdata.entity.Area;
import com.hncy.datatrans.server.pzhdata.excel.SchoolExcelData;
import com.hncy.datatrans.server.pzhdata.excel.SchoolExcelDataListener;
import com.hncy.datatrans.server.pzhdata.mapper.AreaMapper;
import com.hncy.datatrans.server.pzhdata.mapper.BasicSchoolInfoMapper;
import com.hncy.datatrans.server.pzhdata.service.SchoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;

/**
 * @Author Ivan
 * @Description
 * @Date 2020/9/18 11:51
 */
@Service
public class SchoolServiceImpl implements SchoolService {

    @Autowired
    BasicSchoolInfoMapper schoolInfoMapper;

    @Autowired
    AreaMapper areaMapper;

    /**
     * @Author Ivan
     * @Description 导入excel中的学校数据到数据库中
     * @Date 2020/9/18 11:52
     * @Param
     * @return
     */
    @Override
    public void addSchool(MultipartFile file, SchoolService schoolService) {
        try {
            //查询所有的辖区数据
            List<Area> areas = areaMapper.selectAll();
            //文件输入流
            InputStream in = file.getInputStream();
            //调用方法进行读取
            EasyExcel.read(in, SchoolExcelData.class, new SchoolExcelDataListener(schoolInfoMapper,areas)).sheet().doRead();
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}
